| Home | Libraries | People | FAQ | More

## Struct template weight_type

boost::histogram::weight_type — Weight holder and type envelope.

## Synopsis

    // In header: <boost/histogram/weight.hpp>

    template<typename T>
    struct weight_type {

      // public member functions
      template<typename U> operator weight_type< U >() const;

      // public data members
      T value;  // Access underlying value.
    };

## Description

You should not construct these directly, use the weight() helper function.

### `weight_type` public member functions

1.     template<typename U> operator weight_type< U >() const;

   Allow implicit conversions of types when the underlying value type allows them.